Schema "fpml-reconciliation-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8648 $

Defined Components:

  12 global elements, 101 local elements, 41 complexTypes, 8 element groups

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-reconciliation-5-3.xsd; see XML source

Includes Schemas (3):

  fpml-business-events-5-3.xsd [src], fpml-msg-5-3.xsd [src], fpml-valuation-reporting-5-3.xsd [src]

Included in Schemas (3):

  fpml-collateral-processes-5-3.xsd [src], fpml-main-5-3.xsd [src], fpml-reporting-5-3.xsd [src]

Annotation
Reconciliation messages.

All Element Summary
accruedAmount | The amount of payment accrued during this accrual period.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
adjustedEndDate (in calculationPeriod in calculationElements) | Date that defines the end of the calculation period.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
adjustedPaymentDate (defined in NettedTradeCashflows.model group) | The adjusted date in which the payments are being paid/received.
Type: | xsd:date
Content: | simple
Defined: | locally witnin NettedTradeCashflows.model group; see XML source
adjustedPaymentDate (defined in TradeCashflows.model group) | The adjusted date in which the payments are being paid/received.
Type: | xsd:date
Content: | simple
Defined: | locally witnin TradeCashflows.model group; see XML source
adjustedStartDate (in calculationPeriod in calculationElements) | Date that defines the beginning of the calculation period.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
allegedCashflow (in nettedTradeCashflowsMatchResult) | Cashflow (or set of cashflows for cross-currency swap) asserted by the "other side's" party.
Type: | AllegedNettedCashflow
Content: | complex, 6 elements
Defined: | locally witnin NettedTradeCashflowsMatchResult complexType; see XML source
allegedCashflow (in tradeCashflowsMatchResult) | Cashflow (or set of cashflows for cross-currency swap) asserted by the "other side's" party.
Type: | AllegedCashflow
Content: | complex, 6 elements
Defined: | locally witnin TradeCashflowsMatchResult complexType; see XML source
allegedPosition | Position asserted by the "other side's" party.
Type: | AssertedPosition
Content: | complex, 6 elements
Defined: | locally witnin PositionMatchResult complexType; see XML source
asOfDate (defined in PortfolioDefinition complexType) |
Type: | xsd:date
Content: | simple
Defined: | locally witnin PortfolioDefinition complexType; see XML source
asOfDate (defined in TradeCashflowsDefinition.model group) | The date and time at which the set of cashflows was defined.
Type: | xsd:dateTime
Content: | simple
Defined: | locally witnin TradeCashflowsDefinition.model group; see XML source
asOfDate (in requestPortfolio) | The date for which this request desires positions and valuations.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin RequestPortfolio complexType; see XML source
assertedCashflow (in nettedTradeCashflowsMatchResult) | Cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties.
Type: | AssertedNettedCashflow
Content: | complex, 6 elements
Defined: | locally witnin NettedTradeCashflowsMatchResult complexType; see XML source
assertedCashflow (in tradeCashflowsMatchResult) | Cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties.
Type: | AssertedCashflow
Content: | complex, 6 elements
Defined: | locally witnin TradeCashflowsMatchResult complexType; see XML source
assertedPosition | Position asserted by one of the parties.
Type: | AssertedPosition
Content: | complex, 6 elements
Defined: | locally witnin PositionMatchResult complexType; see XML source
calculatedRate (in calculationElements) | The computed rate(s) or price(s) used to calculate the amount of this cashflow component.
Type: | CashflowFixing
Content: | complex, 1 attribute, 6 elements
Defined: | locally witnin CashflowCalculationElements complexType; see XML source
calculatedRateReference | Reference to the fixing details defined somewhere in the document.
Type: | CashflowFixingReference
Content: | empty, 1 attribute
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
calculatedValue | The value computed based on averaging the underlying observation and applying any spreads, multipliers, and cap and floors values. average or treated value computed based on the underlyer observations, following the calculation rules.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashflowFixing complexType; see XML source
calculationDetails (defined in PaymentMatching complexType) | The set of cash flow components with calculations that comprise this payment.
Type: | CalculationDetails
Content: | complex, 3 elements
Defined: | locally witnin PaymentMatching complexType; see XML source
calculationElements |
Type: | CashflowCalculationElements
Content: | complex, 5 elements
Defined: | locally witnin CalculationDetails complexType; see XML source
calculationPeriod (in calculationElements) | The period details for calculation/accrual periods that comprise this cashflow component.
Type: | CashflowCalculationPeriod
Content: | complex, 9 elements
Defined: | locally witnin CashflowCalculationElements complexType; see XML source
cancelTradeCashflows |
Type: | CancelTradeCashflows
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Used: | never
capValue | The cap rate or price, if any, which applies to the floating rate for the calculation period.
Type: | Strike
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CashflowFixing complexType; see XML source
clearedDate (in tradeDetails) | If the trade was cleared (novated) through a central counterparty clearing service, this represents the date the trade was cleared (transferred to the central counterparty).
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin TradeDetails complexType; see XML source
compoundingMethod (in calculationPeriod in calculationElements) | If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used.
Type: | CompoundingMethodEnum
Content: | simple
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
constituent (defined in PositionWithoutId.model group) | The components that create this position.
Type: | PositionConstituent
Content: | complex, 3 elements
Defined: | locally witnin PositionWithoutId.model group; see XML source
dayCountFraction (in calculationPeriod in calculationElements) | The specification for how the number of days between two dates is calculated for purposes of calculation of a fixed or floating payment amount and the basis for how many days are assumed to be in a year.
Type: | DayCountFraction
Content: | simple, 1 attribute
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
dayCountYearFraction (in calculationPeriod in calculationElements) | The year fraction value of the calculation period, result of applying the ISDA rules for day count fraction defined in the ISDA Annex.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
definedPosition |
Type: | PositionReference
Content: | complex, 2 elements
Defined: | locally witnin PositionsAcknowledged complexType; see XML source
definePosition (in positionsAsserted) | Used to specify a new position.
Type: | DefinePosition
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin PositionsAsserted complexType; see XML source
definePosition (in positionsAsserted) | Used to specify a position, whether it is a new or updated position.
Type: | DefinePosition
Content: | complex, 1 attribute, 11 elements
Defined: | locally witnin PositionsAsserted complexType; see XML source
definingParty |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PortfolioDefinition complexType; see XML source
difference (in proposedMatch in nettedTradeCashflowsMatchResult) | A type used to record the details of a difference between two sides of a payment.
Type: | TradeDifference
Content: | complex, 10 elements
Defined: | locally witnin NettedTradeCashflowsProposedMatch complexType; see XML source
effectiveDate (in tradeDetails) | The earliest of all the effective dates of all constituent streams.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin TradeDetails complexType; see XML source
fixedRate (defined in TradeUnderlyer complexType) | The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates.
Type: | Schedule
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeUnderlyer complexType; see XML source
fixedRateStepReference | Reference to the fixed rate schedule's step in order to identify the calculation period fixed rate.
Type: | StepReference
Content: | empty, 1 attribute
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
floatingRate (defined in TradeUnderlyer complexType) | A floating rate.
Type: | FloatingRate
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeUnderlyer complexType; see XML source
floorValue | The floor rate or price, if any, which applies to the floating rate for the calculation period.
Type: | Strike
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CashflowFixing complexType; see XML source
forceMatch | An optional reference to a position supplied by the matching party that is known to match this one.
Type: | PositionReference
Content: | complex, 2 elements
Defined: | locally witnin DefinePosition complexType; see XML source
grossCashflow (defined in CalculationDetails complexType) | Payment details of this cash flow component, including currency, amount and payer/payee.
Type: | GrossCashflow
Content: | complex, 8 elements
Defined: | locally witnin CalculationDetails complexType; see XML source
matchCompleted | Flag indicating whether the Matching Service has finished sending all matching results.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PositionsMatchResults complexType; see XML source
matchId (in cancelTradeCashflows) | A unique identifier assigned by matching service to each set of matched cashflows.
Type: | MatchId
Content: | simple, 1 attribute
Defined: | locally witnin CancelTradeCashflows complexType; see XML source
matchId (in nettedTradeCashflowsAsserted) | A unique identifier assigned by either party, or matching service, as agreed, to each set of matched cashflows.
Type: | MatchId
Content: | simple, 1 attribute
Defined: | locally witnin NettedTradeCashflowsAsserted complexType; see XML source
matchId (in nettedTradeCashflowsRetracted) | A unique identifier assigned by matching service to each set of matched cashflows.
Type: | MatchId
Content: | simple, 1 attribute
Defined: | locally witnin NettedTradeCashflowsRetracted complexType; see XML source
matchId (in proposedMatch in nettedTradeCashflowsMatchResult) | A unique identifier assigned by the matching service to each set of matched cashflows.
Type: | MatchId
Content: | simple, 1 attribute
Defined: | locally witnin NettedTradeCashflowsProposedMatch complexType; see XML source
matchId (in tradeCashflowsAsserted) | A unique identifier assigned by either party, or matching service, as agreed, to each set of matched cashflows.
Type: | MatchId
Content: | simple, 1 attribute
Defined: | locally witnin TradeCashflowsAsserted complexType; see XML source
matchingParty |
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin PortfolioDefinition complexType; see XML source
multiplier (in calculatedRate in calculationElements) | A rate multiplier to apply to the floating rate.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashflowFixing complexType; see XML source
nettedTradeCashflowsAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
nettedTradeCashflowsAsserted |
Type: | NettedTradeCashflowsAsserted
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | never
nettedTradeCashflowsException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
nettedTradeCashflowsMatchResult |
Type: | NettedTradeCashflowsMatchResult
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
nettedTradeCashflowsRetracted |
Type: | NettedTradeCashflowsRetracted
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Used: | never
newPortfolioDefinition | Indicates whether it's a definition of a new portfolio (true) or an update to an existing one (false).
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin InitialPortfolioDefinition complexType; see XML source
notional (in calculationElements) | Identifies the notional in effect for this calculation period.
Type: | CashflowNotional
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin CashflowCalculationElements complexType; see XML source
notional (in tradeDetails) | The notional or notionals in effect on the last day of the last calculation period in each stream.
Type: | CashflowNotional
Content: | complex, 1 attribute, 3 elements
Defined: | locally witnin TradeDetails complexType; see XML source
numberOfDays | The number of days from the adjusted effective / start date to the adjusted termination / end date calculated in accordance with the applicable day count fraction.
Type: | xsd:positiveInteger
Content: | simple
Defined: | locally witnin CashflowCalculationPeriod complexType; see XML source
numberOfUnits (in calculationElements) |
Type: | UnderlyerReferenceUnits
Content: | complex, 2 elements
Defined: | locally witnin CashflowCalculationElements complexType; see XML source
observationDate | The date when the rate is observed.
Type: | xsd:date
Content: | simple
Defined: | locally witnin CashflowObservation complexType; see XML source
observationElements | The underlyer rate or price observation(s) used to compute the amount of this cashflow component.
Type: | CashflowObservation
Content: | complex, 1 attribute, 5 elements
Defined: | locally witnin CalculationDetails complexType; see XML source
observationReference | Reference to the observation details of a particular rate observation.
Type: | CashflowObservationReference
Content: | empty, 1 attribute
Defined: | locally witnin CashflowFixing complexType; see XML source
observedValue | The observed rate or price, together with descriptive information such as units.
Type: | BasicQuotation
Content: | complex, 1 attribute, 14 elements
Defined: | locally witnin CashflowObservation complexType; see XML source
party (in nettedTradeCashflowsAsserted) | One party element for each of the principal parties and any other party that is referenced.
Type: | Party
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin NettedTradeCashflowsAsserted complexType; see XML source
party (in nettedTradeCashflowsMatchResult) | One party element for each of the principal parties and any other party that is referenced.
Type: | Party
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin NettedTradeCashflowsMatchResult complexType; see XML source
party (in nettedTradeCashflowsRetracted) | One party element for each of the principal parties and any other party that is referenced.
Type: | Party
Content: | complex, 1 attribute, 10 elements
Defined: | locally witnin NettedTradeCashflowsRetracted complexType; see XML source
partyTradeIdentifier (defined in TradeIdentifyingItems complexType) | Structure defining one or more trade identifiers allocated to the trade by a party.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeIdentifyingItems complexType; see XML source
payment (defined in NettedTradeCashflows.model group) | Specifies the payment that is exposed to the matching process.
Type: | PaymentMatching
Content: | complex, 7 elements
Defined: | locally witnin NettedTradeCashflows.model group; see XML source
payment (defined in TradeCashflows.model group) | Specifies the payment that is exposed to the matching process.
Type: | PaymentMatching
Content: | complex, 7 elements
Defined: | locally witnin TradeCashflows.model group; see XML source
portfolio (in positionsAcknowledged) | Contains the portfolio definition.
Type: | PortfolioDefinition
Content: | complex, 4 elements
Defined: | locally witnin PositionsAcknowledged complexType; see XML source
portfolio (in positionsAsserted) | Contains the portfolio definition.
Type: | InitialPortfolioDefinition
Content: | complex, 5 elements
Defined: | locally witnin PositionsAsserted complexType; see XML source
portfolio (in positionsMatchResults) | Contains the portfolio definition.
Type: | PortfolioDefinition
Content: | complex, 4 elements
Defined: | locally witnin PositionsMatchResults complexType; see XML source
portfolioName (defined in PortfolioDefinition complexType) |
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin PortfolioDefinition complexType; see XML source
portfolioName (in requestPortfolio) | The name of the portfolio that is requested.
Type: | xsd:normalizedString
Content: | simple
Defined: | locally witnin RequestPortfolio complexType; see XML source
positionMatchResult |
Type: | PositionMatchResult
Content: | complex, 4 elements
Defined: | locally witnin PositionsMatchResults complexType; see XML source
positionsAcknowledged |
Type: | PositionsAcknowledged
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Used: | never
positionsAsserted |
Type: | PositionsAsserted
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Used: | never
positionsMatchResults |
Type: | PositionsMatchResults
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Used: | never
proposedMatch (in nettedTradeCashflowsMatchResult) | "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cashflow that is being asserted.
Type: | NettedTradeCashflowsProposedMatch
Content: | complex, 6 elements
Defined: | locally witnin NettedTradeCashflowsMatchResult complexType; see XML source
proposedMatch (in positionMatchResult) | "Other side's" position that meets the minimimum matching criteria and is proposed as match to the position that is being asserted.
Type: | PositionProposedMatch
Content: | complex, 9 elements
Defined: | locally witnin PositionMatchResult complexType; see XML source
proposedMatch (in tradeCashflowsMatchResult) | "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cashflow that is being asserted.
Type: | TradeCashflowsProposedMatch
Content: | complex, 7 elements
Defined: | locally witnin TradeCashflowsMatchResult complexType; see XML source
quantity (in numberOfUnits in calculationElements) | Amount of units.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin UnderlyerReferenceUnits complexType; see XML source
queryPortfolio (defined in RequestedPositions complexType) | The desired query portfolio.
Type: | QueryPortfolio
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin RequestedPositions complexType; see XML source
reason (in unprocessedPosition) |
Type: | Reason
Content: | complex, 5 elements
Defined: | locally witnin UnprocessedPosition complexType; see XML source
referenceEntity (defined in TradeUnderlyer complexType) | The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations.
Type: | LegalEntity
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin TradeUnderlyer complexType; see XML source
removedPosition |
Type: | PositionReference
Content: | complex, 2 elements
Defined: | locally witnin PositionsAcknowledged complexType; see XML source
removePosition | Used to remove a position from the portfolio.
Type: | PositionReference
Content: | complex, 2 elements
Defined: | locally witnin PositionsAsserted complexType; see XML source
replaceAllPositions | Indicates that this message replaces all previous positions for this portfolio.
Type: | Empty
Content: | empty
Defined: | locally witnin PositionsAsserted complexType; see XML source
reportContents (defined in TradeCashflowsDefinition.model group) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin TradeCashflowsDefinition.model group; see XML source
reportingRoles (defined in PositionWithoutId.model group) | Information about the roles of the parties with respect to reporting the positions.
Type: | ReportingRoles
Content: | complex, 5 elements
Defined: | locally witnin PositionWithoutId.model group; see XML source
requestedPositions (in requestPortfolio) | The name of the data set (portfolio, product type, etc.) that this request corresponds to.
Type: | RequestedPositions
Content: | complex, 3 elements
Defined: | locally witnin RequestPortfolio complexType; see XML source
requestPortfolio |
Type: | RequestPortfolio
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never
scheduledDate (defined in PositionWithoutId.model group) | Position level schedule date, such as final payment dates, in a simple and flexible format.
Type: | ScheduledDate
Content: | complex, 6 elements
Defined: | locally witnin PositionWithoutId.model group; see XML source
spread (in calculatedRate in calculationElements) | The ISDA Spread, if any, which applies for the calculation period.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashflowFixing complexType; see XML source
status (in nettedTradeCashflowsMatchResult) | Reconciliation status of the set of cashflows.
Type: | TradeCashflowsStatus
Content: | simple, 1 attribute
Defined: | locally witnin NettedTradeCashflowsMatchResult complexType; see XML source
status (in positionMatchResult) | Reconciliation status of the position.
Type: | EventStatus
Content: | simple, 1 attribute
Defined: | locally witnin PositionMatchResult complexType; see XML source
status (in tradeCashflowsMatchResult) | Reconciliation status of the set of cashflows.
Type: | EventStatus
Content: | simple, 1 attribute
Defined: | locally witnin TradeCashflowsMatchResult complexType; see XML source
submissionsComplete (in positionsAsserted) | Indicates whether all portfolio updates have been submitted for this as-of date
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin PositionsAsserted complexType; see XML source
terminationDate (in tradeDetails) | The latest of all of the termination dates of the constituent streams.
Type: | AdjustableDate2
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin TradeDetails complexType; see XML source
tradeCashflowsAsserted |
Type: | TradeCashflowsAsserted
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Used: | never
tradeCashflowsId (defined in IdAndNettedTradeCashflows.model group) | Unique identifier assigned by either party to a set of cashflows.
Type: | TradeCashflowsId
Content: | simple, 1 attribute
Defined: | locally witnin IdAndNettedTradeCashflows.model group; see XML source
tradeCashflowsId (defined in IdAndTradeCashflows.model group) | Unique identifier assigned by either party to a set of cashflows.
Type: | TradeCashflowsId
Content: | simple, 1 attribute
Defined: | locally witnin IdAndTradeCashflows.model group; see XML source
tradeCashflowsId (defined in TradeCashflowsDefinition.model group) | Unique identifier assigned by the party asserting the set of cashflows to be reconciled.
Type: | TradeCashflowsId
Content: | simple, 1 attribute
Defined: | locally witnin TradeCashflowsDefinition.model group; see XML source
tradeCashflowsMatchResult |
Type: | TradeCashflowsMatchResult
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Used: | never
tradeDate (in tradeDetails) | The trade date.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin TradeDetails complexType; see XML source
tradeDetails | Structure that holds some trade-specific elements for identifying the trade only in the case of trades that have not been negotiated through electronic platforms and for which the counterparty's trade ID has not been captured.
Type: | TradeDetails
Content: | complex, 9 elements
Defined: | locally witnin TradeIdentifyingItems complexType; see XML source
tradeIdentifyingItems (defined in NettedTradeCashflows.model group) | A collection of structures holding a reference or references to each trade through the tradeId, and optionally some trade-specific elements for identifying the trade in the case of trades that have not been negotiated through electronic platforms, and for which the counterparty's trade ID has not been captured.
Type: | TradeIdentifyingItems
Content: | complex, 2 elements
Defined: | locally witnin NettedTradeCashflows.model group; see XML source
tradeIdentifyingItems (defined in TradeCashflows.model group) | Structure that holds reference to the trade through the tradeId and optionally some trade-specific elements for identifying the trade in the case of trades that have not been negotiated through electronic platforms and for which the counterparty's trade ID has not been captured.
Type: | TradeIdentifyingItems
Content: | complex, 2 elements
Defined: | locally witnin TradeCashflows.model group; see XML source
underlyer (in calculationElements) | The underlyer(s) used to calculate the amount of this cashflow component.
Type: | TradeUnderlyer
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin CashflowCalculationElements complexType; see XML source
underlyer (in tradeDetails) | The set of underlyers to the trade that can be used in computing the trade's cashflows.
Type: | TradeUnderlyer
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin TradeDetails complexType; see XML source
underlyerReference (in numberOfUnits in calculationElements) | Reference to the underlyer defined within the calculationElements structure.
Type: | TradeUnderlyerReference
Content: | empty, 1 attribute
Defined: | locally witnin UnderlyerReferenceUnits complexType; see XML source
underlyerReference (in observationElements) | The underlyer whose rate or price is observed.
Type: | TradeUnderlyerReference
Content: | empty, 1 attribute
Defined: | locally witnin CashflowObservation complexType; see XML source
unprocessedPosition |
Type: | UnprocessedPosition
Content: | complex, 3 elements
Defined: | locally witnin PositionsAcknowledged complexType; see XML source
valuation (defined in PositionWithoutId.model group) | Valuation reported for the position, such as NPV or accrued interest.
Type: | AssetValuation
Content: | complex, 2 attributes, 4 elements
Defined: | locally witnin PositionWithoutId.model group; see XML source
weight (in observationElements) | The factor used to weight the observation in computing a weighted average.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin CashflowObservation complexType; see XML source

Complex Type Summary
AllegedCashflow |
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 1 location
AllegedNettedCashflow |
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 1 location
AssertedCashflow | A type that defines a cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties.
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 1 location
AssertedNettedCashflow | A type that defines a cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties.
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 1 location
AssertedPosition | A type that defines a position asserted by one of the parties.
Content: | complex, 6 elements
Defined: | globally; see XML source
Used: | at 2 locations
CalculationDetails | A cashflow component with optional calculation details that explain how the cashflow amount was computed.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
CancelTradeCashflows | Message for cancellation of payments to be reconciled.
Content: | complex, 3 attributes, 13 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
CashflowCalculationElements |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
CashflowCalculationPeriod | The period calculation details for a calculation/accrual period.
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 9 elements
Used: | at 1 location
CashflowFixing | Details of the computation of a computed rate or price used to calculate the amount of a cashflow component.
Content: | complex, 1 attribute, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 6 elements
Used: | at 1 location
CashflowFixingReference | A type defining a reference to a cash flow fixing component defined somewhere in the document.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
CashflowObservation | An observation of a rate or a price of an underlyer used in the computation of a cash flow amount.
Content: | complex, 1 attribute, 5 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 1 location
CashflowObservationReference | Reference to a cash flow obervation component.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
DefinePosition | A type that allows a position to be defined.
Content: | complex, 1 attribute, 11 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
InitialPortfolioDefinition |
Content: | complex, 5 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
NettedTradeCashflowsAsserted | Message for assertion of payments to be reconciled.
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NettedTradeCashflowsMatchResult | Message for sending match results.
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
NettedTradeCashflowsProposedMatch | "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cash flow that is being asserted.
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
NettedTradeCashflowsRetracted | Message for cancellation of payments to be reconciled.
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
PaymentMatching | A global type describing the payment exposed to the matching process, along with its gross component(s) and calculation details.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
PortfolioDefinition | The set of elements that identify a portfolio.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 3 locations
PositionMatchResult |
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
PositionProposedMatch |
Content: | complex, 9 elements
Defined: | globally; see XML source
Used: | at 1 location
PositionReference | A type that allows referencing a position by ID and version.
Content: | complex, 2 elements
Defined: | globally; see XML source
Used: | at 4 locations
PositionsAcknowledged |
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
PositionsAsserted | Request that a portfolio be defined, either by replacing any pre-existing definition, or by updating or removing individual positions.
Content: | complex, 3 attributes, 10 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
PositionsMatchResults | Reports the results of the portfolio reconciliation operation.
Content: | complex, 3 attributes, 11 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
RequestedPositions | A definition of the positions that are requested.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
RequestPortfolio | A type defining the content model for a message requesting a portfolio (for reconciliation purposes).
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
StepReference | Reference to a Schedule's Step.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TradeCashflowsAsserted | Message for assertion of payments to be reconciled.
Content: | complex, 3 attributes, 15 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
TradeCashflowsId | An identifier used to identify the collection of cashflows for a particular trade on a particular day.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 3 locations
TradeCashflowsMatchResult | Message for sending match results.
Content: | complex, 3 attributes, 12 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location
TradeCashflowsProposedMatch | "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cash flow that is being asserted.
Content: | complex, 7 elements
Defined: | globally; see XML source
Used: | at 1 location
TradeCashflowsStatus | An coding scheme used to describe the matching status of a TradeCashFlows element.
Content: | simple, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 1 location
TradeDetails | Summary trade economic details used to help identify a trade where no shared trade ID is available.
Content: | complex, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location
TradeIdentifyingItems | Data elements that can be used to identify the trade for which cashflows are being communicated.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations
TradeUnderlyer | The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow.
Content: | complex, 1 attribute, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 2 locations
TradeUnderlyerReference | Reference to a trade underlyer component.
Content: | empty, 1 attribute
Defined: | globally; see XML source
Includes: | definition of 1 attribute
Used: | at 2 locations
UnderlyerReferenceUnits |
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
UnprocessedPosition | A type describing the situation when an entire position change cannot be processed.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Element Group Summary
DefinitionAndCashflows.model |
Content: | 6 elements
Defined: | globally; see XML source
Used: | at 2 locations
DefinitionAndNettedCashflows.model |
Content: | 6 elements
Defined: | globally; see XML source
Used: | at 2 locations
IdAndNettedTradeCashflows.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
IdAndTradeCashflows.model |
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 2 locations
NettedTradeCashflows.model | A group describing the cashflows owing on a particular adjustedPaymentDate for set of trades.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
PositionWithoutId.model | A group specifying the position model without including position identification elements.
Content: | 4 elements
Defined: | globally; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations
TradeCashflows.model | A group describing the cashflows owing on a particular adjustedPaymentDate for a specific trade.
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
TradeCashflowsDefinition.model |
Content: | 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 4 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8648 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-valuation-reporting-5-3.xsd"/> <xsd:include schemaLocation="fpml-business-events-5-3.xsd"/> <xsd:include schemaLocation="fpml-msg-5-3.xsd"/> <xsd:complexType name="AllegedCashflow"> <xsd:sequence> <xsd:group ref="DefinitionAndCashflows.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AllegedNettedCashflow"> <xsd:sequence> <xsd:group ref="DefinitionAndNettedCashflows.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AssertedCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that defines a cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="DefinitionAndCashflows.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AssertedNettedCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that defines a cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="DefinitionAndNettedCashflows.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="AssertedPosition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that defines a position asserted by one of the parties. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PositionIdAndVersion.model"/> <xsd:group minOccurs="0" ref="PositionWithoutId.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CalculationDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> A cashflow component with optional calculation details that explain how the cashflow amount was computed. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="grossCashflow" type="GrossCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> Payment details of this cash flow component, including currency, amount and payer/payee. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationElements" type="CashflowObservation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The underlyer rate or price observation(s) used to compute the amount of this cashflow component. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculationElements" type="CashflowCalculationElements"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CancelTradeCashflows"> <xsd:annotation> <xsd:documentation xml:lang="en"> Message for cancellation of payments to be reconciled. A message sent to indicate that previously asserted TradeCashFlows are no longer in effect. For example, this may be caused by a trade's being terminated or assigned after a TradeCashflowsAsserted message has been sent but before the payment date. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:group ref="IdAndTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier assigned by matching service to each set of matched cashflows. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="CashflowCalculationElements"> <xsd:sequence> <xsd:element minOccurs="0" name="numberOfUnits" type="UnderlyerReferenceUnits"/> <xsd:element minOccurs="0" name="notional" type="CashflowNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> Identifies the notional in effect for this calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> The underlyer(s) used to calculate the amount of this cashflow component. The underlyer(s) will remain unaltered from the values specified in the underlying transaction (i.e. the Fixed Rate on a Credit Default Swap). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculatedRate" type="CashflowFixing"> <xsd:annotation> <xsd:documentation xml:lang="en"> The computed rate(s) or price(s) used to calculate the amount of this cashflow component. These computed rates or prices may include averaging and/or various types of rate treatment rules. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationPeriod" type="CashflowCalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The period details for calculation/accrual periods that comprise this cashflow component. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CashflowCalculationPeriod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The period calculation details for a calculation/accrual period. This will include information about the dates and duration of the accrual period, the rate fixing(s), the notional in effect, and the amount of the accrual. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculatedRateReference" type="CashflowFixingReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the fixing details defined somewhere in the document. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedStartDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date that defines the beginning of the calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedEndDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date that defines the end of the calculation period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="numberOfDays" type="xsd:positiveInteger"> <xsd:annotation> <xsd:documentation xml:lang="en"> The number of days from the adjusted effective / start date to the adjusted termination / end date calculated in accordance with the applicable day count fraction. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixedRateStepReference" type="StepReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the fixed rate schedule's step in order to identify the calculation period fixed rate. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specification for how the number of days between two dates is calculated for purposes of calculation of a fixed or floating payment amount and the basis for how many days are assumed to be in a year. Day Count Fraction is an ISDA term. The equivalent AFB (Association Francaise de Banques) term is Calculation Basis. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="dayCountYearFraction" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The year fraction value of the calculation period, result of applying the ISDA rules for day count fraction defined in the ISDA Annex. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="compoundingMethod" type="CompoundingMethodEnum"> <xsd:annotation> <xsd:documentation xml:lang="en"> If more that one calculation period contributes to a single payment amount this element specifies whether compounding is applicable, and if so, what compounding method is to be used. This element must only be included when more that one calculation period contributes to a single payment amount. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="accruedAmount" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The amount of payment accrued during this accrual period. This is required only when there are multiple calculation periods within the same cashflow component, for example when the calculation period is shorter than the payment period. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="CashflowFixing"> <xsd:annotation> <xsd:documentation xml:lang="en"> Details of the computation of a computed rate or price used to calculate the amount of a cashflow component. This computed rate or price may include averaging and/or various types of rate treatment rules. The details include all of the observations, the calculation parameters, and the resulting value. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationReference" type="CashflowObservationReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the observation details of a particular rate observation. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="calculatedValue" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The value computed based on averaging the underlying observation and applying any spreads, multipliers, and cap and floors values. average or treated value computed based on the underlyer observations, following the calculation rules. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="multiplier" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> A rate multiplier to apply to the floating rate. The multiplier can be a positive or negative decimal. This element should only be included if the multiplier is not equal to 1 (one). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The ISDA Spread, if any, which applies for the calculation period. It also defines spread as price. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="capValue" type="Strike"> <xsd:annotation> <xsd:documentation xml:lang="en"> The cap rate or price, if any, which applies to the floating rate for the calculation period. The cap rate (strike) is only required where the floating rate on a swap stream is capped at a certain strike level. The cap rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A cap rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorValue" type="Strike"> <xsd:annotation> <xsd:documentation xml:lang="en"> The floor rate or price, if any, which applies to the floating rate for the calculation period. The floor rate (strike) is only required where the floating rate on a swap stream is floored at a certain strike level. The floor rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. The floor rate of 5% would be represented as 0.05. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="CashflowFixingReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining a reference to a cash flow fixing component defined somewhere in the document. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CashflowFixing" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <!--move to valuation--> <xsd:complexType name="CashflowObservation"> <xsd:annotation> <xsd:documentation xml:lang="en"> An observation of a rate or a price of an underlyer used in the computation of a cash flow amount. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="underlyerReference" type="TradeUnderlyerReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> The underlyer whose rate or price is observed. Reference to an underlyer defined within the calculationElements structure. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="underlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> In cases where the underlying index is observed by observing the value of a specific security different from the index (typically a futures price), the specific security whose price was observed. For example, the underlying index might be NYMEX Crude Oil, and the underlying asset whose price is observed on a particular day might be CLU7. The index is specified via the underlyerReference, while the specific asset is specified via the underlyingAsset. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observationDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date when the rate is observed. Corresponds to adjustedFixingDate on the Interest Rate Derivatives subschema. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="observedValue" type="BasicQuotation"> <xsd:annotation> <xsd:documentation xml:lang="en"> The observed rate or price, together with descriptive information such as units. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="weight" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> The factor used to weight the observation in computing a weighted average. This is typically based on the number of days weighting to be associated with the rate observation, i.e. the number of days such rate is in effect. This is applicable in the case of a weighted average method of calculation where more than one observate date is established for a single calculation period. If omitted all observations are weighted equally. For Equity Derivatives Products it defines the basket percentage. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType> <xsd:complexType name="CashflowObservationReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a cash flow obervation component.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="CashflowObservation" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DefinePosition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that allows a position to be defined. It includes identification information (ID and version), trade information, etc. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Position"> <xsd:sequence> <xsd:element minOccurs="0" name="forceMatch" type="PositionReference"> <xsd:annotation> <xsd:documentation> An optional reference to a position supplied by the matching party that is known to match this one. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="InitialPortfolioDefinition"> <xsd:complexContent> <xsd:extension base="PortfolioDefinition"> <xsd:sequence> <xsd:element minOccurs="0" name="newPortfolioDefinition" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether it's a definition of a new portfolio (true) or an update to an existing one (false). </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NettedTradeCashflowsAsserted"> <xsd:annotation> <xsd:documentation xml:lang="en"> Message for assertion of payments to be reconciled. Notification message that submits cashflows that need to be reconciled per payment date. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="TradeCashflowsDefinition.model"/> <xsd:group ref="NettedTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier assigned by either party, or matching service, as agreed, to each set of matched cashflows. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"> <xsd:annotation> <xsd:documentation xml:lang="en"> One party element for each of the principal parties and any other party that is referenced. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NettedTradeCashflowsMatchResult"> <xsd:annotation> <xsd:documentation xml:lang="en"> Message for sending match results. Response message that returns the status of the set of cashflows for multiple trades that have been reconciled. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="TradeCashflowsStatus"> <xsd:annotation> <xsd:documentation xml:lang="en">Reconciliation status of the set of cashflows.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="assertedCashflow" type="AssertedNettedCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> Cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="NettedTradeCashflowsProposedMatch"> <xsd:annotation> <xsd:documentation xml:lang="en"> "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cashflow that is being asserted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="allegedCashflow" type="AllegedNettedCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> Cashflow (or set of cashflows for cross-currency swap) asserted by the "other side's" party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"> <xsd:annotation> <xsd:documentation xml:lang="en"> One party element for each of the principal parties and any other party that is referenced. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="NettedTradeCashflowsProposedMatch"> <xsd:annotation> <xsd:documentation xml:lang="en"> "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cash flow that is being asserted. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="IdAndNettedTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier assigned by the matching service to each set of matched cashflows. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="difference" type="TradeDifference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to record the details of a difference between two sides of a payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="NettedTradeCashflowsRetracted"> <xsd:annotation> <xsd:documentation xml:lang="en"> Message for cancellation of payments to be reconciled. A message sent to indicate that previously asserted TradeCashFlows are no longer in effect. For example, this may be caused by a trade's being terminated or assigned after a TradeCashflowsAsserted message has been sent but before the payment date. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="IdAndNettedTradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier assigned by matching service to each set of matched cashflows. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="party" type="Party"> <xsd:annotation> <xsd:documentation xml:lang="en"> One party element for each of the principal parties and any other party that is referenced. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PaymentMatching"> <xsd:annotation> <xsd:documentation xml:lang="en"> A global type describing the payment exposed to the matching process, along with its gross component(s) and calculation details. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PaymentDetails.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationDetails" type="CalculationDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of cash flow components with calculations that comprise this payment. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PortfolioDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en">The set of elements that identify a portfolio.</xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="portfolioName" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="asOfDate" type="xsd:date"/> <xsd:element minOccurs="0" name="definingParty" type="PartyReference"/> <xsd:element minOccurs="0" name="matchingParty" type="PartyReference"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PositionMatchResult"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="EventStatus"> <xsd:annotation> <xsd:documentation xml:lang="en">Reconciliation status of the position.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="assertedPosition" type="AssertedPosition"> <xsd:annotation> <xsd:documentation xml:lang="en">Position asserted by one of the parties.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="PositionProposedMatch"> <xsd:annotation> <xsd:documentation xml:lang="en"> "Other side's" position that meets the minimimum matching criteria and is proposed as match to the position that is being asserted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="allegedPosition" type="AssertedPosition"> <xsd:annotation> <xsd:documentation xml:lang="en">Position asserted by the "other side's" party.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PositionProposedMatch"> <xsd:sequence> <xsd:group ref="PositionIdAndVersion.model"/> <xsd:group minOccurs="0" ref="PositionWithoutId.model"/> <xsd:group ref="ProposedMatch.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PositionReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type that allows referencing a position by ID and version. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PositionIdAndVersion.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PositionsAcknowledged"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolio" type="PortfolioDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en">Contains the portfolio definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element minOccurs="0" name="definedPosition" type="PositionReference"/> <xsd:element minOccurs="0" name="removedPosition" type="PositionReference"/> <xsd:element minOccurs="0" name="unprocessedPosition" type="UnprocessedPosition"/> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositionsAsserted"> <xsd:annotation> <xsd:documentation xml:lang="en"> Request that a portfolio be defined, either by replacing any pre-existing definition, or by updating or removing individual positions. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolio" type="InitialPortfolioDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en">Contains the portfolio definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="submissionsComplete" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates whether all portfolio updates have been submitted for this as-of date </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:annotation> <xsd:documentation xml:lang="en"> Either start from scratch and define new positions, or just update and remove positions </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element name="replaceAllPositions" type="Empty"> <xsd:annotation> <xsd:documentation xml:lang="en"> Indicates that this message replaces all previous positions for this portfolio. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" name="definePosition" type="DefinePosition"> <xsd:annotation> <xsd:documentation xml:lang="en">Used to specify a new position.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:choice maxOccurs="unbounded" minOccurs="0"> <xsd:element name="definePosition" type="DefinePosition"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to specify a position, whether it is a new or updated position. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="removePosition" type="PositionReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Used to remove a position from the portfolio.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="PositionsMatchResults"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reports the results of the portfolio reconciliation operation. It states the matching results for multiple positions, supporting the match, mismatched, unmatched and alleged position results. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolio" type="PortfolioDefinition"> <xsd:annotation> <xsd:documentation xml:lang="en">Contains the portfolio definition.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="positionMatchResult" type="PositionMatchResult"/> <xsd:element minOccurs="0" name="matchCompleted" type="xsd:boolean"> <xsd:annotation> <xsd:documentation xml:lang="en"> Flag indicating whether the Matching Service has finished sending all matching results. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RequestPortfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message requesting a portfolio (for reconciliation purposes). </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="RequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date for which this request desires positions and valuations. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:element minOccurs="0" name="portfolioName" type="xsd:normalizedString"> <xsd:annotation> <xsd:documentation xml:lang="en">The name of the portfolio that is requested.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="requestedPositions" type="RequestedPositions"> <xsd:annotation> <xsd:documentation xml:lang="en"> The name of the data set (portfolio, product type, etc.) that this request corresponds to. Describes the desired report. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="RequestedPositions"> <xsd:annotation> <xsd:documentation xml:lang="en">A definition of the positions that are requested.</xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="queryPortfolio" type="QueryPortfolio"> <xsd:annotation> <xsd:documentation xml:lang="en">The desired query portfolio.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PositionIdAndVersion.model"/> </xsd:choice> </xsd:complexType> <xsd:complexType name="StepReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a Schedule's Step.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="Step" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeCashflowsAsserted"> <xsd:annotation> <xsd:documentation xml:lang="en"> Message for assertion of payments to be reconciled. Notification message that submits cashflows that need to be reconciled per payment date at the trade level. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:group ref="TradeCashflowsDefinition.model"/> <xsd:group ref="TradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A unique identifier assigned by either party, or matching service, as agreed, to each set of matched cashflows. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeCashflowsId"> <xsd:annotation> <xsd:documentation xml:lang="en"> An identifier used to identify the collection of cashflows for a particular trade on a particular day. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute name="tradeCashflowsIdScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeCashflowsMatchResult"> <xsd:annotation> <xsd:documentation xml:lang="en"> Message for sending match results. Response message that returns the status of the set of cashflows (more than one in the case of cross-currency swaps) that have been reconciled. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="status" type="EventStatus"> <xsd:annotation> <xsd:documentation xml:lang="en">Reconciliation status of the set of cashflows.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="assertedCashflow" type="AssertedCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> Cashflow (or set of cashflows for cross-currency swap) asserted by one of the parties. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="proposedMatch" type="TradeCashflowsProposedMatch"> <xsd:annotation> <xsd:documentation xml:lang="en"> "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cashflow that is being asserted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> <xsd:element minOccurs="0" name="allegedCashflow" type="AllegedCashflow"> <xsd:annotation> <xsd:documentation xml:lang="en"> Cashflow (or set of cashflows for cross-currency swap) asserted by the "other side's" party. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeCashflowsProposedMatch"> <xsd:annotation> <xsd:documentation xml:lang="en"> "Other side's" cashflow that meets the minimimum matching criteria and is proposed as match to the cash flow that is being asserted. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="IdAndTradeCashflows.model"/> <xsd:group ref="ProposedMatch.model"/> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeCashflowsStatus"> <xsd:annotation> <xsd:documentation xml:lang="en"> An coding scheme used to describe the matching status of a TradeCashFlows element. </xsd:documentation> </xsd:annotation> <xsd:simpleContent> <xsd:extension base="Scheme"> <xsd:attribute default="http://www.fpml.org/coding-scheme/trade-cashflows-status" name="tradeCashflowsStatusScheme" type="xsd:anyURI"/> </xsd:extension> </xsd:simpleContent> </xsd:complexType> <xsd:complexType name="TradeDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> Summary trade economic details used to help identify a trade where no shared trade ID is available. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> The trade date. This is the date the trade was originally executed. In the case of a novation, the novated part of the trade should be reported (by both the remaining party and the transferee) using a trade date corresponding to the date the novation was agreed. The remaining part of a trade should be reported (by both the transferor and the remaining party) using a trade date corresponding to the original execution date. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="clearedDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> If the trade was cleared (novated) through a central counterparty clearing service, this represents the date the trade was cleared (transferred to the central counterparty). </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The earliest of all the effective dates of all constituent streams. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"> <xsd:annotation> <xsd:documentation xml:lang="en"> The latest of all of the termination dates of the constituent streams. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="Product.model"/> <!-- <xsd:element name="productType" type="ProductType" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">A classification of the type of product. FpML does not define domain values for this element.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> The set of underlyers to the trade that can be used in computing the trade's cashflows. If this information is needed to identify the trade, all of the trade's underlyers should be specified, whether or not they figure into the cashflow calculation. Otherwise, only those underlyers used to compute this particular cashflow need be supplied. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"> <xsd:annotation> <xsd:documentation xml:lang="en"> The notional or notionals in effect on the last day of the last calculation period in each stream. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeIdentifyingItems"> <xsd:annotation> <xsd:documentation xml:lang="en"> Data elements that can be used to identify the trade for which cashflows are being communicated. This includes both explicit trade identifiers and summary economic details. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> Structure defining one or more trade identifiers allocated to the trade by a party. It is expected that for external communication of trade there will be only one tradeId sent in the document per party. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tradeDetails" type="TradeDetails"> <xsd:annotation> <xsd:documentation xml:lang="en"> Structure that holds some trade-specific elements for identifying the trade only in the case of trades that have not been negotiated through electronic platforms and for which the counterparty's trade ID has not been captured. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="TradeUnderlyer"> <xsd:annotation> <xsd:documentation xml:lang="en"> The underlying asset/index/reference price etc. whose rate/price may be observed to compute the value of the cashflow. It can be an index, fixed rate, listed security, quoted currency pair, or a reference entity (for credit derivatives). </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element minOccurs="0" name="floatingRate" type="FloatingRate"> <xsd:annotation> <xsd:documentation xml:lang="en">A floating rate.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixedRate" type="Schedule"> <xsd:annotation> <xsd:documentation xml:lang="en"> The fixed rate or fixed rate schedule expressed as explicit fixed rates and dates. In the case of a schedule, the step dates may be subject to adjustment in accordance with any adjustments specified in calculationPeriodDatesAdjustments. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="underlyingAsset"> <xsd:annotation> <xsd:documentation xml:lang="en"> Define the underlying asset, either a listed security or other instrument. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="referenceEntity" type="LegalEntity"> <xsd:annotation> <xsd:documentation xml:lang="en"> The corporate or sovereign entity on which you are buying or selling protection and any successor that assumes all or substantially all of its contractual and other obligations. It is vital to use the correct legal name of the entity and to be careful not to choose a subsidiary if you really want to trade protection on a parent company. Please note, Reference Entities cannot be senior or subordinated. It is the obligations of the Reference Entities that can be senior or subordinated. ISDA 2003 Term: Reference Entity </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType> <xsd:complexType name="TradeUnderlyerReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Reference to a trade underlyer component.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Reference"> <xsd:attribute ecore:reference="TradeUnderlyer" name="href" type="xsd:IDREF" use="required"/> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="UnderlyerReferenceUnits"> <xsd:sequence> <xsd:element minOccurs="0" name="underlyerReference" type="TradeUnderlyerReference"> <xsd:annotation> <xsd:documentation xml:lang="en"> Reference to the underlyer defined within the calculationElements structure. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="quantity" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Amount of units.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="UnprocessedPosition"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type describing the situation when an entire position change cannot be processed. It includes the position identification information and the reason that the position change could not be processed. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="PositionIdAndVersion.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/> </xsd:sequence> </xsd:complexType> <xsd:group name="DefinitionAndCashflows.model"> <xsd:sequence> <xsd:group ref="TradeCashflowsDefinition.model"/> <xsd:group minOccurs="0" ref="TradeCashflows.model"/> </xsd:sequence> </xsd:group> <xsd:group name="DefinitionAndNettedCashflows.model"> <xsd:sequence> <xsd:group ref="TradeCashflowsDefinition.model"/> <xsd:group minOccurs="0" ref="NettedTradeCashflows.model"/> </xsd:sequence> </xsd:group> <xsd:group name="IdAndNettedTradeCashflows.model"> <xsd:sequence> <xsd:element minOccurs="0" name="tradeCashflowsId" type="TradeCashflowsId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Unique identifier assigned by either party to a set of cashflows. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="NettedTradeCashflows.model"/> </xsd:sequence> </xsd:group> <xsd:group name="IdAndTradeCashflows.model"> <xsd:sequence> <xsd:element minOccurs="0" name="tradeCashflowsId" type="TradeCashflowsId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Unique identifier assigned by either party to a set of cashflows. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="TradeCashflows.model"/> </xsd:sequence> </xsd:group> <xsd:group name="NettedTradeCashflows.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group describing the cashflows owing on a particular adjustedPaymentDate for set of trades. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifyingItems" type="TradeIdentifyingItems"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of structures holding a reference or references to each trade through the tradeId, and optionally some trade-specific elements for identifying the trade in the case of trades that have not been negotiated through electronic platforms, and for which the counterparty's trade ID has not been captured. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted date in which the payments are being paid/received. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="PaymentMatching"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the payment that is exposed to the matching process. Usually there will be a single payment but for cross-currency swaps a different payment per currency shall be provided. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="PositionWithoutId.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group specifying the position model without including position identification elements. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="reportingRoles" type="ReportingRoles"> <xsd:annotation> <xsd:documentation xml:lang="en"> Information about the roles of the parties with respect to reporting the positions. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="constituent" type="PositionConstituent"> <xsd:annotation> <xsd:documentation xml:lang="en">The components that create this position.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="scheduledDate" type="ScheduledDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Position level schedule date, such as final payment dates, in a simple and flexible format. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="valuation" type="AssetValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> Valuation reported for the position, such as NPV or accrued interest. The asset/object references in the valuations should refer to the deal or components of the deal in the position, e.g. legs, streams, or underlyers. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="TradeCashflows.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> A group describing the cashflows owing on a particular adjustedPaymentDate for a specific trade. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="tradeIdentifyingItems" type="TradeIdentifyingItems"> <xsd:annotation> <xsd:documentation xml:lang="en"> Structure that holds reference to the trade through the tradeId and optionally some trade-specific elements for identifying the trade in the case of trades that have not been negotiated through electronic platforms and for which the counterparty's trade ID has not been captured. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="adjustedPaymentDate" type="xsd:date"> <xsd:annotation> <xsd:documentation xml:lang="en"> The adjusted date in which the payments are being paid/received. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="payment" type="PaymentMatching"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the payment that is exposed to the matching process. Usually there will be a single payment but for cross-currency swaps a different payment per currency shall be provided. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:group name="TradeCashflowsDefinition.model"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="xsd:dateTime"> <xsd:annotation> <xsd:documentation xml:lang="en"> The date and time at which the set of cashflows was defined. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="tradeCashflowsId" type="TradeCashflowsId"> <xsd:annotation> <xsd:documentation xml:lang="en"> Unique identifier assigned by the party asserting the set of cashflows to be reconciled. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:group> <xsd:annotation> <xsd:documentation xml:lang="en">Reconciliation messages.</xsd:documentation> </xsd:annotation> <xsd:element name="cancelTradeCashflows" type="CancelTradeCashflows"/> <xsd:element name="tradeCashflowsAsserted" type="TradeCashflowsAsserted"/> <xsd:element name="tradeCashflowsMatchResult" type="TradeCashflowsMatchResult"/> <xsd:element name="nettedTradeCashflowsAsserted" type="NettedTradeCashflowsAsserted"/> <xsd:element name="nettedTradeCashflowsRetracted" type="NettedTradeCashflowsRetracted"/> <xsd:element name="nettedTradeCashflowsAcknowledgement" type="Acknowledgement"/> <xsd:element name="nettedTradeCashflowsException" type="Exception"/> <xsd:element name="nettedTradeCashflowsMatchResult" type="NettedTradeCashflowsMatchResult"/> <xsd:element name="positionsAcknowledged" type="PositionsAcknowledged"/> <xsd:element name="positionsAsserted" type="PositionsAsserted"/> <xsd:element name="positionsMatchResults" type="PositionsMatchResults"/> <xsd:element name="requestPortfolio" type="RequestPortfolio"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.